# ConfigEipEgressIp

## 1. 接口描述

本接口(ConfigEipEgressIp)用于指定IP作为出口IP。

{% hint style="info" %}
**注意事项**

* 该操作不支持三线公网IP。
* 操作的弹性IP是绑定在网卡上的。如果是未绑定或者绑定到NAT网关/负载均衡实例上，则不支持该操作。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称  | 必选 | 类型     | 描述            |
| ----- | -- | ------ | ------------- |
| eipId | 是  | String | 要作为出口的公网弹性IP。 |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 设置出口EIP。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ConfigEipEgressIp
<Common Request Params>

Request：
{
  "eipId": "xxx"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                                   | 说明        |
| ------- | ------------------------------------- | --------- |
| 404     | INVALID\_EIP\_NOT\_FOUND              | EIP不存在。   |
| 400     | OPERATION\_DENIED\_EIP\_IS\_GROUP     | 三线IP无法操作。 |
| 400     | OPERATION\_DENIED\_EIP\_NOT\_ASSIGNED | EIP状态未绑定。 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/zec/elastic-ip/configeipegressip.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
